<template>
  <v-autocomplete
    :value="circleType"
    :items="items"
    :label="label"
    :multiple="multiple"
    outlined
    :search-input.sync="search"
    hide-details="auto"
    dense
    @change="val => addCircleType(val)"
  >
    <template slot="no-data">
      <v-list-item>
        <v-list-item-content>
          <span class="text-left">{{ search }}</span>
        </v-list-item-content>
        <v-list-item-action>
          <v-btn small elevation="0" @click="addNew(search)">
            + Add
          </v-btn>
        </v-list-item-action>
      </v-list-item>
    </template>
  </v-autocomplete>
</template>

<script>
import { CIRCLE_TYPES } from '@/constants'

export default {
  name: 'ExperienceSelect',
  props: {
    label: { type: String, default: 'Circle types' },
    multiple: { type: Boolean, default: false },
    addCircleType: { type: Function },
    circleType: { type: String, default: null }
  },
  data: () => ({
    search: '',
    select: '',
    items: CIRCLE_TYPES
  }),
  mounted() {},
  methods: {
    addNew(val) {
      this.items.push(val)
      this.addCircleType(val)
    }
  }
}
</script>
